[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.Create

Constructor for the class instance.

## Declaration

Source position: shellctrls.pas line 121

`public constructor TCustomShellTreeView.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Component that owns the class instance.

## Description

Create is the constructor for the class instance. Create calls the inherited method using the value in AOwner as the owner for the class instance.

Create sets the default values for properties, including:

UseBuiltinIcons
  Set to True top enable the built-in icons in the widgetset class.
PathDelimiter
  Set to the platform-specific PathDelim from the SysUtils unit.
Options
  Includes tvoReadOnly in the set to match the default value for the ReadOnly property.
ObjectTypes
  Set to [otFolders] to display folders (but not files) in the tree view.

Create initializes internal members used to monitor the Root property for changes to its value, and the find options used to locate nodes in the Items for the tree view control. Find options include use of case-insensitive comparisons in node values when the CaseInsensitiveFilenames compiler define is enabled.

Please note: Values in the Items property are populated when the Loaded method is called during component streaming.

## Version info

Modified in LCL version 3.0 to initialize the PathDelimiter property and internal find options. Modified in LCL version 4.0 to update the Options property.

## See also

TCustomShellTreeView.ObjectTypes |  | Indicates the file system objects displayed using the control.
TCustomShellTreeView.UseBuiltinIcons |  | Indicates if OS-provided icons are used for entries in the Shell control.
TCustomShellTreeView.Root |  | Indicates the directory or path which is the top-level node in the tree view.
TCustomShellTreeView.Items |  | Contains the tree nodes used to represent the hierarchical tree structure for the tree view control.
TCustomShellTreeView.ShellListView |  | Connects this ShellTreeView to a ShellListView.
TCustomShellTreeView.Loaded |  | Performs actions needed when LCL component streaming has been completed.
TCustomTreeView.PathDelimiter
SysUtils.PathDelim